de.esprit.appsuite.gui.pathtree

## Class PathTreeModel.MyTreeSelectionModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeSelectionModel
  - - de.esprit.appsuite.gui.pathtree.PathTreeModel.MyTreeSelectionModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.TreeSelectionModel
  Enclosing class:
    PathTreeModel<N extends PathTreeNode>

      public static class PathTreeModel.MyTreeSelectionModel
      extends javax.swing.tree.DefaultTreeSelectionModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultTreeSelectionModel

      `changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

    - ### Fields inherited from interface javax.swing.tree.TreeSelectionModel

      `CONTIGUOUS_TREE_SELECTION, DISCONTIGUOUS_TREE_SELECTION, SINGLE_TREE_SELECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSelectionPath(javax.swing.tree.TreePath path)` Deprecated.

    - ### Methods inherited from class javax.swing.tree.DefaultTreeSelectionModel

      `addPropertyChangeListener, addSelectionPath, addSelectionPaths, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, clone, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getListeners, getMaxSelectionRow, getMinSelectionRow, getPropertyChangeListeners, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, getTreeSelectionListeners, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeSelectionPaths, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPaths, toString, updateLeadIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setSelectionPath

          @Deprecated
          public void setSelectionPath(javax.swing.tree.TreePath path)

      Deprecated.
      Specified by:
        `setSelectionPath` in interface `javax.swing.tree.TreeSelectionModel`
      Overrides:
        `setSelectionPath` in class `javax.swing.tree.DefaultTreeSelectionModel`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.